<mat-card class="signup-card">
  <mat-card-content>
    <h2 class="is-size-2">Sign Up</h2>
    <form autocomplete="off" [formGroup]="singUpForm" (ngSubmit)="handleForm()">
      <app-input [inputFormControl]="singUpForm.get('username')" [type]="'text'" [label]="'Username'"
        [iconName]="'person'" [placeholder]="'Enter your username'"></app-input>
      <app-input [inputFormControl]="singUpForm.get('email')" [type]="'text'" [label]="'Email'" [iconName]="'email'"
        [placeholder]="'Enter your email address'"></app-input>
      <app-input [inputFormControl]="singUpForm.get('password')" [label]="'Password'" [isPassword]="true"
        [placeholder]="'Enter your password'"></app-input>
      <button type="submit" mat-raised-button color="primary">Sign Up</button>
    </form>
  </mat-card-content>
  <p>
    Already have an account?
    <a mat-button routerLink="/login" color="accent">Login Here</a>
  </p>
  <mat-card-actions>
    <button mat-raised-button (click)="googleLogin()">
      <i class="fab fa-google"></i> Google
    </button>
  </mat-card-actions>
</mat-card>
